Subject: Re: [RFC NET 00/02]: Secondary unicast address support

From: Patrick McHardy <[email-masked]>
Date: Thu, 21 Jun 2007 21:13:37 +0200

Eric W. Biederman wrote:
> I'm trying to understand what the point of this patch is.
>
> In once sense I find the concept of filtering and listening for multiple
> mac addresses very interesting, especially if we could break out different
> streams of traffic by destination mac address into separate network devices.
> This would remove the need to any kind of ethernet tunnel and makes multiple
> network namespaces much more pleasant.
>
> However this just seems to allow a card to decode multiple mac addresses
> which in some oddball load balancing configurations may actually be
> useful, but it seems fairly limited.
>
> Do you have a specific use case you envision for this multiple mac
> functionality?
>   

Yes, please see the MACVLAN patch I posted one or two days earlier.
8021q can also make use of it and Dave mentioned some virtualization
devices want this as well.